# `addEndpoint` ( class in module `jsPlumb` )

## Description

Adds an `Endpoint` to a given element or elements.

## Parameters

- `el – {object} –`

  Element to add the endpoint to. Either an element id, a selector representing some element(s), or an array of either of these.

- `params – {object} –`

  Object containing Endpoint constructor arguments. For more information, see .

- `referenceParams – {object} –`
  - Object containing more Endpoint constructor arguments; it will be merged with params by jsPlumb. You would use this if you had some shared parameters that you wanted to reuse when you added Endpoints to a number of elements. The allowed values in this object are anything that 'params' can contain. See .

## Returns

`{object}` –

The newly created `Endpoint` , if el referred to a single element. Otherwise, an array of newly created `Endpoint` s.